Bug 616707 - Allow editing of attributes matching rules from console
Summary: Allow editing of attributes matching rules from console
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Console (Show other bugs)
(Show other bugs)
Version: 1.2.5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 434915 389_1.3.0
TreeView+ depends on / blocked
 
Reported: 2010-07-21 09:00 UTC by Juan
Modified: 2015-12-07 16:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 16:53:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (27.73 KB, patch)
2011-03-10 19:38 UTC, Nathan Kinder
rmeggins: review+
Details | Diff
Revised patch (25.12 KB, patch)
2011-03-10 21:17 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff

Description Juan 2010-07-21 09:00:22 UTC
Now, it is not possible to change the matching rule for an attribute. It is necessary to update the definition of the attribute using ldapmodify.

Comment 4 Nathan Kinder 2011-03-10 19:38:30 UTC
Created attachment 483545 [details]
Patch

Comment 5 Rich Megginson 2011-03-10 19:58:13 UTC
Comment on attachment 483545 [details]
Patch

The indentation is off in several places.  Otherwise, looks good.

Comment 6 Nathan Kinder 2011-03-10 21:17:52 UTC
Created attachment 483564 [details]
Revised patch

This cleans up the tabs-vs-spaces indentation problems from the previous patch.  Aside from indentation, the code is the same.

Comment 7 Rich Megginson 2011-03-10 23:33:27 UTC
Comment on attachment 483564 [details]
Revised patch

ship it

Comment 8 Nathan Kinder 2011-03-11 15:56:53 UTC
Pushed to master.  Thanks to Rich for his review!

Counting objects: 31, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (12/12), done.
Writing objects: 100% (16/16), 4.21 KiB, done.
Total 16 (delta 10), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds-console.git
   9e2afe5..c95594f  master -> master

Also, it should be noted that a fix to the ldapjdk is needed for attribute definitions with matching rules to be generated correctly.  This ldapjdk bug is logged as 684012.

Comment 11 Amita Sharma 2011-06-23 11:51:29 UTC
Based on Comment 10, Marking the bug as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.